"use client";
import React from "react";

const RealEstateContent = () => {
  return (
    <div className="flex flex-col justify-center animate-fade-in-up">
      <div className="mb-6">
        <img
          src="/images/photos.webp"
          alt="Dynamic Realty Team"
          className="object-cover duration-500 hover:scale-105 !h-[450px] !w-full"
        />
        <div className="w-16 h-1 bg-gold-500 mb-4"></div>
        <h1 className="text-4xl md:text-5xl font-serif font-bold text-white mb-4">
          Discover Your <span className="text-gold-500">Dream</span> Residence
        </h1>
        <p className="text-gray-300 text-lg">
          At Dynamic Realty, we offer a comprehensive range of realty services to meet the needs of our customers in
          Central Georgia. Our services include buying & selling, renting, & property management. We understand the real
          estate sector inside out & are committed to providing a professional service to our clients. We strive to make
          the process of reaching your real estate goals as easy & stress-free as possible. Get in touch with us today
          to find out more.
        </p>
      </div>

      <button></button>
    </div>
  );
};

const FeatureItem = ({ text }: { text: string }) => {
  return (
    <div className="flex items-end">
      <div className="flex-shrink-0">
        <svg
          className="w-5 h-5 text-gold-500"
          fill="none"
          stroke="currentColor"
          viewBox="0 0 24 24"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path strokeLinecap="round" strokeLinejoin="round" strokeWidth="2" d="M5 13l4 4L19 7"></path>
        </svg>
      </div>
      <p className="ml-3 text-gray-300">{text}</p>
    </div>
  );
};

export default RealEstateContent;
