"use client";

import { motion } from "framer-motion";

export default function WhyChooseUs() {
  const points = [
    {
      title: "Personalized Approach",
      content:
        "Committed to providing a tailored structure to each client, with on-site management & a robust property management division.",
      icon: "👔", // or use an actual icon library
    },
    {
      title: "20 Years of Trust",
      content:
        "We strive to meet all our customers' needs and are proud to have helped people with real estate for the past two decades.",
      icon: "🏆",
    },
    {
      title: "Stress-Free Experience",
      content:
        "We understand real estate inside out and are committed to making your property journey as smooth as possible.",
      icon: "✨",
    },
  ];

  return (
    <section className="bg-white py-16 ">
      <div className="max-w-7xl mx-auto">
        <div className="grid grid-cols-1 md:grid-cols-3 gap-8">
          {points.map((point, index) => (
            <motion.div
              key={index}
              initial={{ opacity: 0, y: 30 }}
              whileInView={{ opacity: 1, y: 0 }}
              transition={{ duration: 0.5, delay: index * 0.1 }}
              viewport={{ once: true }}
              className="bg-white p-6 rounded-xl shadow-sm hover:shadow-md transition-shadow"
            >
              <div className="text-3xl mb-4">{point.icon}</div>
              <h3 className="text-xl font-semibold text-gray-800 mb-3">{point.title}</h3>
              <p className="text-gray-600">{point.content}</p>
            </motion.div>
          ))}
        </div>
      </div>
    </section>
  );
}
