import ListOfFeaturedProperiesFooter from "@/components/properties/ListOfFeaturedPropertiesFooter";
import { headers } from "next/headers";

export default async function Footer() {
  const headersList = await headers();
  const fullUrl = headersList.get("x-full-url");

  const shareUrl = {
    facebook: `https://www.facebook.com/sharer/sharer.php?u=${fullUrl}`,
    linkedin: `https://www.linkedin.com/sharing/share-offsite/?url=${fullUrl}`,
    twitter: `https://twitter.com/intent/tweet?url=${fullUrl}`,
  };

  return (
    <>
      <section className="section section-md bg-colorFooter context-dark">
        <div className="container">
          <div className="row row-40 justify-content-lg-between">
            <div className="col-md-6 col-lg-4 col-xl-3">
              <h3 className="heading-square font-weight-sbold" data-item=".heading-square-item">
                <span className="heading-square-item"></span>Latest Properties
              </h3>
              <ListOfFeaturedProperiesFooter />
            </div>
            <div className="col-md-6 col-lg-4 col-xl-3 col-bordered">
              <h3 className="heading-square font-weight-sbold" data-item=".heading-square-item">
                <span className="heading-square-item"></span>Contact Us
              </h3>
              <div className="link-with-icon heading-5 text-spacing-150 font-sec" data-item=".icon">
                <span className="icon icon-1 mdi mdi-phone"></span>
                <a className="text-colorFooterText! hover:text-colorFooterTextHover!" href="tel:(478) 225 9061">
                  (478) 225 9061
                </a>
              </div>
              <div className="link-with-icon text-spacing-100" data-item=".icon">
                <span className="icon icon-2 mdi mdi-email-outline"></span>
                <a
                  className="text-colorFooterText! hover:text-colorFooterTextHover!"
                  href="mailto:dynamic@dynamicrealtyga.com"
                >
                  dynamic@dynamicrealtyga.com
                </a>
              </div>
              <div className="link-with-icon text-spacing-100" data-item=".icon">
                <span className="icon icon-3 mdi mdi-map-marker"></span>
                <a
                  className="text-colorFooterText! hover:text-colorFooterTextHover!"
                  href="https://maps.app.goo.gl/rqwVSiSpP4UMn5un7"
                  target="_blank"
                >
                  100 N Houston Lake Blvd. Centerville, GA 31028, United States
                </a>
              </div>
            </div>
            <div className="col-lg-4">
              <h3 className="heading-square font-weight-sbold" data-item=".heading-square-item">
                <span className="heading-square-item" style={{ top: "14px" }}></span>Hours of Operations
              </h3>
              <p className="rd-mailform-label">Enter your e-mail to get the latest news of MyHome</p>
              <div className="text-spacing-100" data-item=".icon">
                Mon-Thu: 10am-5pm
              </div>
              <div className="text-spacing-100" data-item=".icon">
                Fri: 10am-2pm
              </div>
              <div className="text-spacing-100" data-item=".icon">
                Sat & Sun: Closed
              </div>
              <ul className="list-inline-1 space-x-5">
                <li>
                  <a target="_blank" className="icon fa-facebook text-4xl!" href={shareUrl.facebook}></a>
                </li>
                <li>
                  <a target="_blank" className="icon fa-twitter text-4xl!" href={shareUrl.twitter}></a>
                </li>
                <li>
                  <a target="_blank" className="icon fa-linkedin text-4xl!" href={shareUrl.linkedin}></a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </section>
      <footer className="section footer-classic context-dark bg-colorFooter2">
        <div className="container">
          <div className="row row-10 justify-content-sm-between">
            <div className="col-sm-6">
              <p className="rights">
                <span>Dynamic Realty</span> <span>&copy;&nbsp;</span>
                <span className="copyright-year"></span>
                <span>&nbsp;</span>
                <a href="/privacy-policy">Privacy Policy</a>
              </p>
            </div>
            <div className="col-sm-6 text-sm-right">
              {/* <div className="right-1">
                <a href="#">
                  <span className="icon mdi mdi-plus"></span>Book Appointment
                </a>
              </div> */}
            </div>
          </div>
        </div>
      </footer>
    </>
  );
}
